.your-field {
    background-color: var(--n-white);
    padding: 160px 0;
}

.your-field .n-container {

    display: flex;
    flex-direction: column;
    gap: 80px;
}

.your-field .h2 {
    color: var(--n-black);
    text-align: center;
}

.your-field .cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
}

.your-field .cards.three {
    grid-template-columns: repeat(3, 1fr);
}

.your-field .card {
    background: linear-gradient(180deg, #F1F5FC 0.1%, #BEDDFF 100.1%);
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.your-field .card:hover {
    background: linear-gradient(180deg, #E5F0FC 0.09%, #99C9FF 100.09%);
}

.your-field a {
    outline: none;
    text-decoration: none;
    box-shadow: none;
}

.your-field .card .h4 {
    color: var(--n-black);
}

.your-field .card .main-text-medium {
    color: var(--n-grey);
}

.your-field .card-content {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 32px;
    padding-bottom: 0;
}

.your-field .card-image {
    width: 100%;
    height: auto;
}

.your-field .card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.your-field .arrow-button {
    position: absolute;
    z-index: 3;
    right: 32px;
    top: 32px;
    display: none;
}

.your-field .arrow-button svg rect {
    fill: var(--bright-blue);
}

.your-field .card:hover .arrow-button svg rect {
    fill: var(--n-dark-accent);
}




.your-field .mobile {
    display: none;
}






@media screen and (max-width: 1919px) {
    .your-field {
        padding: 120px 0;
    }

    .your-field .n-container {
        gap: 60px;
    }

    .your-field .cards.four {
        grid-template-columns: repeat(2, 1fr);
    }

    .your-field .cards.four .card-content {
        padding-bottom: 32px;
    }

    .your-field .cards.four .card{
        flex-direction: row;
    }

    .your-field .cards.four .mobile {
        display: block;
    }

    .your-field .cards.four .desktop {
        display: none;
    }
}

@media screen and (max-width: 1439px) {
    .your-field {
        padding: 100px 0;
    }

    .your-field .n-container {
        gap: 48px;
    }

    .your-field .card {
        border-radius: 16px;
    }

    .your-field .card-content {
        padding: 24px;
        max-height: 313px;
        padding-bottom: 0;
    }

    .your-field .cards.four .card-content {
        padding-bottom: 24px;
    }
}

@media screen and (max-width: 1279px) {
    .your-field .cards {
        display: flex;
        gap: 0;
    }

    .swiper {
        width: 100%;
    }

    .your-field .card {
        flex-direction: column;
    }

    .your-field .card-content {
        padding: 24px 24px 0 24px;
        margin-bottom: 0;
        gap: 12px;
    }

    /* Equal height for swiper slides */
    .your-field .swiper-wrapper {
        align-items: stretch;
    }

    .your-field .swiper-slide {
        height: auto;
    }

    /* Swiper pagination */
    .your-field .swiper-pagination {
        margin-top: 32px;
        position: relative;
        bottom: 0;
    }

    .your-field .swiper-pagination-bullet {
        width: 8px;
        height: 8px;
        background: var(--n-very-light-grey);
        opacity: 1;
    }

    .your-field .swiper-pagination-bullet-active {
        background: var(--bright-blue);
    }

    .your-field .arrow-button {
        display: block;
        right: 12px;
        top: 12px;
    }

        .your-field .cards.four .card {
            flex-direction: column;
        }
}

@media screen and (max-width: 576px) {
    .your-field {
        padding: 80px 0;
    }

    .your-field .n-container {
        gap: 40px;
    }
}